Package io.vertx.rxjava3.ext.web.handler

## Class WebAuthn4JHandler

- java.lang.Object
- - io.vertx.rxjava3.ext.web.handler.WebAuthn4JHandler

- All Implemented Interfaces:
    `Handler<RoutingContext>`, `io.vertx.lang.rx.RxDelegate`, `AuthenticationHandler`

      public class WebAuthn4JHandler
      extends Object
      implements io.vertx.lang.rx.RxDelegate, AuthenticationHandler, Handler<RoutingContext>

  An auth handler that provides FIDO2 WebAuthN Relay Party support.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<WebAuthn4JHandler>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WebAuthn4JHandler​(WebAuthn4JHandler delegate)` |
    `WebAuthn4JHandler​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static WebAuthn4JHandler` | `create​(WebAuthn4J webAuthn)` | Create a WebAuthN auth handler.
    `boolean` | `equals​(Object o)` |
    `WebAuthn4JHandler` | `getDelegate()` |
    `void` | `handle​(RoutingContext event)` | Something has happened, so handle it.
    `int` | `hashCode()` |
    `static WebAuthn4JHandler` | `newInstance​(WebAuthn4JHandler arg)` |
    `WebAuthn4JHandler` | `setOrigin​(String origin)` | Set the Origin to be validated by the webauthn object.
    `WebAuthn4JHandler` | `setupCallback​(Route route)` | The callback route to verify attestations and assertions.
    `WebAuthn4JHandler` | `setupCredentialsCreateCallback​(Route route)` | The callback route to create registration attestations.
    `WebAuthn4JHandler` | `setupCredentialsGetCallback​(Route route)` | The callback route to create login attestations.
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<WebAuthn4JHandler> __TYPE_ARG

  - ### Constructor Detail

    - #### WebAuthn4JHandler

          public WebAuthn4JHandler​(WebAuthn4JHandler delegate)

    - #### WebAuthn4JHandler

          public WebAuthn4JHandler​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public WebAuthn4JHandler getDelegate()

      Specified by:
        `getDelegate` in interface `AuthenticationHandler`
      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### handle

          public void handle​(RoutingContext event)

      Something has happened, so handle it.
      Specified by:
        `handle` in interface `AuthenticationHandler`
      Specified by:
        `handle` in interface `Handler<RoutingContext>`
      Parameters:
        `event` - the event to handle

    - #### create

          public static WebAuthn4JHandler create​(WebAuthn4J webAuthn)

      Create a WebAuthN auth handler. This handler expects at least the response callback to be installed.
      Parameters:
        `webAuthn` -
      Returns:
        the auth handler

    - #### setupCredentialsCreateCallback

          public WebAuthn4JHandler setupCredentialsCreateCallback​(Route route)

      The callback route to create registration attestations. Usually this route is

          /webauthn/register

      Parameters:
        `route` - the route where credential get options are generated.
      Returns:
        fluent self.

    - #### setupCredentialsGetCallback

          public WebAuthn4JHandler setupCredentialsGetCallback​(Route route)

      The callback route to create login attestations. Usually this route is

          /webauthn/login

      Parameters:
        `route` - the route where credential get options are generated.
      Returns:
        fluent self.

    - #### setupCallback

          public WebAuthn4JHandler setupCallback​(Route route)

      The callback route to verify attestations and assertions. Usually this route is

          /webauthn/response

      Parameters:
        `route` - the route where assertions and attestations are verified.
      Returns:
        fluent self.

    - #### setOrigin

          public WebAuthn4JHandler setOrigin​(String origin)

      Set the Origin to be validated by the webauthn object.
      Parameters:
        `origin` - - an HTTP Origin
      Returns:
        fluent self

    - #### newInstance

          public static WebAuthn4JHandler newInstance​(WebAuthn4JHandler arg)